<?php

ob_start(); # sayfalar arası yönlendirmeyi aktifleştir
session_start(); # oturum değişkenlerini aktifleştirir

date_default_timezone_set('Europe/Istanbul');

if (isset($_POST["guncelle"])) {
    $yeni_ad = $_POST["ad"];
    $yeni_soyad = $_POST["soyad"];
    $yeni_dogum_tarihi = $_POST["dogum_tarihi"];
    $yeni_dogum_yeri = $_POST["dogum_yeri"];

    $sql = "UPDATE kullanici SET 
        ad = '$yeni_ad', 
        soyad = '$yeni_soyad', 
        dogum_tarihi = '$yeni_dogum_tarihi',
        dogum_yeri = '$yeni_dogum_yeri' 
        WHERE oturum = '$_SESSION[oturum]' ";

    $guncelle = $vt->query($sql);
    if ($guncelle) {
        $guncelle_mesaj = 1;
        //echo "Güncelleme işlemi başarılı.";
    } else {
        $guncelle_mesaj = 2;
        //echo "Güncelleme işlemi başarısız.";
    }
}

if (isset($_COOKIE["oturum"])) { # daha önce çerez oluşturulmuş İSE
    $_SESSION["oturum"] = $_COOKIE["oturum"];
    setcookie("oturum", "$_COOKIE[oturum]", time() + (86400 * 30), "/"); # Süresini 1 ay daha uzatmak
}

if (isset($_SESSION["oturum"])) { # oturum açık İSE
    $sql = "SELECT * FROM kullanici WHERE oturum = '$_SESSION[oturum]' ";
    $tablo = $vt->query($sql);
    $uye = $satir = $tablo->fetch_assoc();
    $ad = $satir["ad"];
    $soyad = $satir["soyad"];
}

function uye($talep)
{
    global $vt;
    $sql = "SELECT * FROM kullanici WHERE oturum = '$_SESSION[oturum]' ";
    $tablo = $vt->query($sql);
    $satir = $tablo->fetch_array();
    return $satir[$talep];
}

function kullanici($id, $talep)
{
    global $vt;
    $sql = "SELECT * FROM kullanici WHERE id = '$id' ";
    $tablo = $vt->query($sql);
    $satir = $tablo->fetch_array();
    return $satir[$talep];
}

function sehir_listele($talep = "Adana")
{
    global $vt;
    $sql = "SELECT * FROM sehir";
    $tablo = $vt->query($sql);
    while ($satir = $tablo->fetch_assoc()) {
        if ($talep != $satir["ad"]) echo "<option>" . $satir["ad"] . "</option>";
        else echo "<option selected>" . $satir["ad"] . "</option>";
    }
}

function kategori_listele($talep = 1)
{
    global $vt;
    $sql = "SELECT * FROM kategori";
    $tablo = $vt->query($sql);
    while ($satir = $tablo->fetch_assoc()) {
        if ($talep != $satir["kategori_id"]) echo "<option value='$satir[kategori_id]'>$satir[kategori_ad]</option>";
        else echo "<option value='$satir[kategori_id]' selected>$satir[kategori_ad]</option>";
    }
}

function donustur($baslik, $uzanti="")
{
    $baslik = mb_strtolower($baslik);
    $bulunacak = array('ç', 'Ç', 'ı', 'İ', 'ğ', 'Ğ', 'ü', 'ö', 'Ş', 'ş', 'Ö', 'Ü', ',', ' ', '(', ')', '[', ']');
    $degistir = array('c', 'C', 'i', 'I', 'g', 'G', 'u', 'o', 'S', 's', 'O', 'U', '', '-', '', '', '', '');
    $final_ad = str_replace($bulunacak, $degistir, $baslik);
    $final_ad = preg_replace("/[^a-z0-9\_\-\.]/i", '', $final_ad);
    $zaman_damgasi = date("YmdHis");
    if ($uzanti!="") return "$zaman_damgasi-$final_ad.$uzanti";
    else return "$zaman_damgasi-$final_ad";
}

function baslik_donustur($baslik)
{
    $baslik = mb_strtolower($baslik);
    $bulunacak = array('ç', 'Ç', 'ı', 'İ', 'ğ', 'Ğ', 'ü', 'ö', 'Ş', 'ş', 'Ö', 'Ü', ',', ' ', '(', ')', '[', ']');
    $degistir = array('c', 'C', 'i', 'I', 'g', 'G', 'u', 'o', 'S', 's', 'O', 'U', '', '-', '', '', '', '');
    $final_ad = str_replace($bulunacak, $degistir, $baslik);
    $final_ad = preg_replace("/[^a-z0-9\_\-\.]/i", '', $final_ad);
    return $final_ad;
}

function haber($id, $talep){
    global $vt;
    $sql = "SELECT * FROM haber WHERE id = '$id' ";
    $tablo = $vt->query($sql);
    $satir = $tablo->fetch_array();
    return $satir[$talep];
}

function kategorik_haber_sayisi($id){
    global $vt;
    $sql = "SELECT * FROM haber WHERE kategori = '$id' ";
    # $sql = "SELECT * FROM haber WHERE FIND_IN_SET('$id', REPLACE(kategori, ' ', '')) > 0";
    $tablo = $vt->query($sql);
    return $tablo->num_rows;
}

function tarih_donustur($veri){
    return date("d/m/Y H.i", strtotime($veri));
}

function okunma_sayisi_artir($id){
    global $vt;
    $ip = $_SERVER['REMOTE_ADDR'];
    $zaman = date("Y-m-d H:i:s");
    $fark_sql = "SELECT * FROM okunma WHERE haber_id = '$id' and ip = '$ip' and zaman > now() - interval 1 hour";
    $fark_tablo = $vt->query($fark_sql);
    $fark = $fark_tablo->num_rows;
    if($fark==0){ # Son 1 saat içinde ilgili haber ziyaret edilmemiş İSE
        $okunma_sql = "INSERT INTO okunma (haber_id, ip, zaman) VALUES ('$id', '$ip', '$zaman')";
        $vt->query($okunma_sql);
    }
}

function okunma_sayisi($id, $saat=0){
    global $vt;
    if($saat==0) $sql = "SELECT * FROM okunma WHERE haber_id = '$id'";
    else $sql = "SELECT * FROM okunma WHERE haber_id = '$id' and zaman > now() - interval $saat hour";
    $tablo = $vt->query($sql);
    return $tablo->num_rows;
}

function haber_sayisi(){
    global $vt;
    $sql = "SELECT id FROM haber";
    $tablo = $vt->query($sql);
    return $tablo->num_rows;
}

function uye_ise(){
    if(@$_SESSION["oturum"]==null){
        header("Location: index.php");
        exit();
    }
}

function uye_degil_ise(){
    if(@$_SESSION["oturum"]!=null){
        header("Location: index.php");
        exit();
    }
}

?>